QGIS Application - Bug report #551
QGIS does not allow to load themes which were created in GRASS using v.external
2007-01-25 05:43 AM - wolfgang-qual-gmx-net -

Status: Closed

Priority: Low

Assignee: Lorenzo Masini

Category: GRASS

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupts data: Copied to github as #: 10610
Description

It is not possible to load GRASS-layers into QGIS, which were created using v.external. These layers can be loaded in GRASS,
therefore, | consider this as a bug in QGIS. See also:

r1 http:/grass.itc.it/pipermail/grassuser/2006-August/035896.html

It would be great to have this feature also in QQGIS! Best, Wolfgang

History

#1 - 2007-02-25 07:31 PM - Tim Sutton

Moved to milestone 0.8.2 since we wont be fixing any further issues before the 0.8.1 release

#2 - 2008-03-17 09:25 AM - leolami -

- Status changed from Open to In Progress

#3 - 2008-08-21 05:26 AM - leolami -

Hi,

| don't add the v.external module in QGIS because QGIS is not able to read and load in the canvas an external layer format.

I hope in developing of QGIS in this way.

Regards

Leonardo

#4 - 2009-07-09 07:06 AM - Paolo Cavallini

The error while attempting to load a vector created with v.external is Key column _ not found in the table 'sample_layer_name'

#5 - 2009-07-09 07:16 AM - Paolo Cavallini

But in fact the layer is loaded, so the problem is using the right connection to the database. | suggest fixing this and adding v.external command to the
toolbox

#6 - 2009-07-15 05:28 AM - leolami -
You can load the external vector in QGIS but you lose the connection with the table.

The problem seems be in QGIS.

There are some problem in the adding v.external command to the toolbox because of the structure of the GRASS module (you have to add the directory

separated from the name of the source file).

#7 - 2009-07-18 11:02 AM - Paolo Cavallini

- Status changed from In Progress to Open

#8 - 2010-03-03 10:42 AM - Redmine Admin

- Resolution set to wontfix

- Status changed from Open to Closed

The problem is described here http://trac.0osgeo.org/grass/ticket/981 , it is GRASS bug, definitely it cannot be fixed in QGIS. It is more feature than a bug,

certain OGR drivers do not have FID column which is necessary for vector - attributes connection.
